//: C07:FEditTest.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
//{L} FileEditor
// Test nástroje pro úpravu souborů.
#include <sstream>
#include "FileEditor.h"
#include "../require.h"
using namespace std;

int main(int argc, char* argv[]) {
  FileEditor soubor;
  if(argc > 1) {
    soubor.open(argv[1]);
  } else {
    soubor.open("FEditTest.cpp");
  }
	// Udělat něco s řetězci
  int i = 1;
  FileEditor::iterator w = soubor.begin();
  while(w != soubor.end()) {
    ostringstream ss;
    ss << i++;
    *w = ss.str() + ": " + *w;
    ++w;
  }
  // Nyní je odeslat na výstup:
  soubor.write();
} ///:~
